Erro com Scripts/Software de Scan para Vulnerabilidade Web [RESOLVIDO]

1. Erro com Scripts/Software de Scan para Vulnerabilidade Web [RESOLVIDO]

Rodrigo
XxDooMxX

(usa Arch Linux)

Enviado em 24/05/2016 - 12:50h

Boa Tarde!

sou novo aqui no fórum, mas já vi vários tópicos por aqui que me foram uteis, assim que possível vou começar a passar meu conhecimento aqui tbm...

mas hoje estou precisando de uma ajudinha!

estou estudando sobre Segurança da Informação, e estou na parte de vulnerabilidade web... só que estou com um problema, todos os software que eu conheço para scan não esta funcionando no Arch ainda não entendi o por que, tentei instalar as dependências e instalar tudo o que o script pede, mas mesmo assim estou recebendo alguns erro...

exemplo:

W3AF

Traceback (most recent call last):
File "/usr/share/w3af/w3af_console", line 15, in <module>
from w3af.core.ui.console.console_ui import ConsoleUI
File "/usr/share/w3af/w3af/core/ui/console/console_ui.py", line 33, in <module>
from w3af.core.ui.console.rootMenu import rootMenu
File "/usr/share/w3af/w3af/core/ui/console/rootMenu.py", line 31, in <module>
from w3af.core.ui.console.menu import menu
File "/usr/share/w3af/w3af/core/ui/console/menu.py", line 24, in <module>
import w3af.core.data.kb.knowledge_base as kb
File "/usr/share/w3af/w3af/core/data/kb/knowledge_base.py", line 33, in <module>
from w3af.core.data.parsers.doc.url import URL
File "/usr/share/w3af/w3af/core/data/parsers/doc/url.py", line 29, in <module>
from ruamel.ordereddict import ordereddict as OrderedDict
ImportError: No module named ruamel.ordereddict



Vega
esse formou um log que vou disponibilizar no mega: https://mega.nz/#!6wB2CIJQ!yvGEkAT7ZfYwR3QMvwuqFB6v-fHqA9jgc-dLMz9EdRs

Uniscan
modo texto:


Can't locate Devel/OverloadInfo.pm in @INC (you may need to install the Devel::OverloadInfo module) (@INC contains: ./Uniscan /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/lib/perl5/vendor_perl/Class/MOP/Mixin/HasOverloads.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Class/MOP/Mixin/HasOverloads.pm line 9.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Class/MOP.pm line 17.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Class/MOP.pm line 17.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Moose/Exporter.pm line 8.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Moose/Exporter.pm line 8.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Moose.pm line 15.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Moose.pm line 15.
Compilation failed in require at Uniscan/Crawler.pm line 3.
BEGIN failed--compilation aborted at Uniscan/Crawler.pm line 3.
Compilation failed in require at uniscan.pl line 25.
BEGIN failed--compilation aborted at uniscan.pl line 25.



modo grafico


Can't locate Tk.pm in @INC (you may need to install the Tk module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at ./uniscan_gui.pl line 2.
BEGIN failed--compilation aborted at ./uniscan_gui.pl line 2.
[rodrigo@doom uniscan]$ ./uniscan_gui.pl
Can't locate Tk.pm in @INC (you may need to install the Tk module) (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at ./uniscan_gui.pl line 2.
BEGIN failed--compilation aborted at ./uniscan_gui.pl line 2


se alguém puder ajudar com pelo menos um deles agradeço!!!


  


2. Re: Erro com Scripts/Software de Scan para Vulnerabilidade Web [RESOLVIDO]

Cristhoffer
Cristhoffer1994

(usa FreeBSD)

Enviado em 24/05/2016 - 13:17h

noça, quanta tool.
--
Just bring us some beers, and then we can talk about our systems. :)



3. RE:Erro com Scripts/Software de Scan para Vulnerabilidade Web

Rodrigo
XxDooMxX

(usa Arch Linux)

Enviado em 03/06/2016 - 03:51h

Boa Madrugada para nóis '-'

Hoje tirei a noite para resolver os problemas dos meus scripts... e depois de horas e horas com bastante cafeina consegui!!! então irei postar aqui o que eu fiz para resolver de um deles... no caso do uniscan pois foi o ultimo que resolvi!

meu erro era o seguinte:

Can't locate Devel/OverloadInfo.pm in @INC (you may need to install the Devel::OverloadInfo module) (@INC contains: ./Uniscan /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/lib/perl5/vendor_perl/Class/MOP/Mixin/HasOverloads.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Class/MOP/Mixin/HasOverloads.pm line 9.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Class/MOP.pm line 17.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Class/MOP.pm line 17.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Moose/Exporter.pm line 8.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Moose/Exporter.pm line 8.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Moose.pm line 15.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Moose.pm line 15.
Compilation failed in require at Uniscan/Crawler.pm line 3.
BEGIN failed--compilation aborted at Uniscan/Crawler.pm line 3.
Compilation failed in require at uniscan.pl line 25.
BEGIN failed--compilation aborted at uniscan.pl line 25.


começando pela primeira linha dizia que não encontrava o OverloadInfo.pm, então tentei instalar de varias formas e procurar ele para instalar via pacman o que não deu certo então procurei ele no yaourt e achei aur/perl-devel-overloadinfo, instalei e então diminui o log de erros...

ficou apenas:

List::Util version 1.45 required--this is only version 1.41 at /usr/lib/perl5/vendor_perl/Moose/Exporter.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Moose/Exporter.pm line 9.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Moose.pm line 15.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Moose.pm line 15.
Compilation failed in require at Uniscan/Crawler.pm line 3.
BEGIN failed--compilation aborted at Uniscan/Crawler.pm line 3.
Compilation failed in require at uniscan.pl line 25.
BEGIN failed--compilation aborted at uniscan.pl line 25.


então abri os arquivos:


/usr/lib/perl5/vendor_perl/Moose/Exporter.pm line 9
use List::Util 1.45 qw( uniq );

/usr/lib/perl5/vendor_perl/Moose.pm line 15.
use Moose::Exporter;

Uniscan/Crawler.pm line 3.
use Moose;

uniscan.pl line 25.
use Uniscan::Crawler;



note que de baixo para cima os arquivos se conecta ate chegar no ultimo... então comecei a instalar os módulos de baixo pra cima a cada modulo os log diminuía...

comando:


perl -MCPAN -e 'install Uniscan::Crawler'
perl -MCPAN -e 'install Moose::Exporter'
perl -MCPAN -e 'install List::Util'


no segundo o script já funcionava, porem tentei o ultimo mas não instalou...

o script esta funcionando numa boa... os outros resolvi do mesmo modo, então se alguém tiver duvidas so perguntar... espero que isso ajude alguém!!!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts